Skip to main content
`Ctrl`+`K`

# KSPQCGSetTrustRegionRadius

Sets the radius of the trust region for `KSPQCG`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPQCGSetTrustRegionRadius(KSP ksp, PetscReal delta)

Logically Collective

## Input Parameters

- ksp - the iterative context

- delta - the trust region radius (Infinity is the default)

## Options Database Key

- -ksp_qcg_trustregionradius delta - trust region radius

## Developer Note

`KSPMINRESSetRadius()`, for example, does not have TrustRegion in the name

## See Also

KSP: Linear System Solvers, `KSPQCG`, `KSPQCGGetTrialStepNorm()`

## Level

advanced

## Location

src/ksp/ksp/impls/qcg/qcg.c

## Implementations

KSPQCGSetTrustRegionRadius_QCG() in src/ksp/ksp/impls/qcg/qcg.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages